> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refund Status

> Get the status of an onchain refund. Refunds are automatically initiated 5 minutes after a failed transaction if the crypto was successfully received but fiat transfer failed.

Get the status of an automatic crypto refund for a failed offramp transaction.


## OpenAPI

````yaml GET /api/v3/offramp/refund-status/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/offramp/refund-status/{referenceId}:
    get:
      tags:
        - OFFRAMP
      summary: Get Refund Status
      description: >-
        Get the status of an onchain refund. Refunds are automatically initiated
        5 minutes after a failed transaction if the crypto was successfully
        received but fiat transfer failed.
      operationId: OffRampController_getRefundStatus_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````